## lmemory 0.5

=== Makefile ===
# Generated automatically from Makefile.in by configure.
# Makefile.in generated automatically by automake 1.3 from Makefile.am

# Copyright (C) 1994, 1995, 1996, 1997, 1998 Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.


SHELL = /bin/sh

srcdir = .
top_srcdir = .
prefix = /usr/local
exec_prefix = ${prefix}

bindir = ${exec_prefix}/bin
sbindir = ${exec_prefix}/sbin
libexecdir = ${exec_prefix}/libexec
datadir = ${prefix}/share
sysconfdir = ${prefix}/etc
sharedstatedir = ${prefix}/com
localstatedir = ${prefix}/var
libdir = ${exec_prefix}/lib
infodir = ${prefix}/info
mandir = ${prefix}/man
includedir = ${prefix}/include
oldincludedir = /usr/include

DISTDIR =

pkgdatadir = $(datadir)/lmemory
pkglibdir = $(libdir)/lmemory
pkgincludedir = $(includedir)/lmemory

top_builddir = .

ACLOCAL = aclocal
AUTOCONF = autoconf
AUTOMAKE = automake
AUTOHEADER = autoheader

INSTALL = /usr/bin/install -c
INSTALL_PROGRAM = ${INSTALL}
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_SCRIPT = ${INSTALL_PROGRAM}
transform = s,x,x,

NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
host_alias = i586-pc-linux-gnu
host_triplet = i586-pc-linux-gnu
CC = gcc
GTK_CFLAGS = -I/usr/lib/glib/include -I/usr/X11R6/include
GTK_CONFIG = /usr/bin/gtk-config
GTK_LIBS = -L/usr/lib -L/usr/X11R6/lib -lgtk -lgdk -rdynamic -lgmodule -lglib -ldl -lXi -lXext -lX11 -lm
LD = /usr/bin/ld
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LN_S = ln -s
MAINT = #M#
MAKEINFO = makeinfo
NM = /usr/bin/nm -B
PACKAGE = lmemory
RANLIB = ranlib
VERSION = 0.5

bin_PROGRAMS = 	lmemory

lmemory_SOURCES = 	list.c	\
			mmain.c	\
			lmem_window.c \
			lmem_menu.c \
			lmem_level.c \
			xpm_widget.c \
			lmemory.h

SUBDIRS =

LDADD =	-L/usr/lib -L/usr/X11R6/lib -lgtk -lgdk -rdynamic -lgmodule -lglib -ldl -lXi -lXext -lX11 -lm

INCLUDES = -I/usr/lib/glib/include -I/usr/X11R6/include -I. -DLIBDIR=\"${exec_prefix}/lib\" -DDATADIR=\"${prefix}/share\"
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = config.h
CONFIG_CLEAN_FILES = 
PROGRAMS =  $(bin_PROGRAMS)


DEFS = -DHAVE_CONFIG_H -I. -I$(srcdir) -I.
CPPFLAGS = 
LDFLAGS = 
LIBS = 
X_CFLAGS =  -I/usr/X11R6/include
X_LIBS =  -L/usr/X11R6/lib
X_EXTRA_LIBS = 
X_PRE_LIBS =  -lSM -lICE
lmemory_OBJECTS =  list.o mmain.o lmem_window.o lmem_menu.o lmem_level.o xpm_widget.o
lmemory_LDADD = $(LDADD)
lmemory_DEPENDENCIES = 
lmemory_LDFLAGS = 
CFLAGS = -g -O2
COMPILE = $(CC) $(DEFS) $(INCLUDES) $(CPPFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) --mode=compile $(CC) $(DEFS) $(INCLUDES) $(CPPFLAGS) $(CFLAGS)
LINK = $(LIBTOOL) --mode=link $(CC) $(CFLAGS) $(LDFLAGS) -o $@
DIST_COMMON =  README AUTHORS COPYING ChangeLog INSTALL Makefile.am \
Makefile.in NEWS TODO aclocal.m4 config.guess config.h.in config.sub \
configure configure.in install-sh ltconfig ltmain.sh missing \
mkinstalldirs stamp-h.in


DISTFILES = $(DIST_COMMON) $(SOURCES) $(HEADERS) $(TEXINFOS) $(EXTRA_DIST)

TAR = tar
GZIP = --best
SOURCES = $(lmemory_SOURCES)
OBJECTS = $(lmemory_OBJECTS)

all: all-recursive-am all-am

.SUFFIXES:
.SUFFIXES: .S .c .lo .o .s
$(srcdir)/Makefile.in: #M# Makefile.am $(top_srcdir)/configure.in $(ACLOCAL_M4)
	cd $(top_srcdir) && $(AUTOMAKE) --gnu --include-deps Makefile

Makefile: $(srcdir)/Makefile.in  $(top_builddir)/config.status
	cd $(top_builddir) \
	  && CONFIG_FILES=$@ CONFIG_HEADERS= $(SHELL) ./config.status

$(ACLOCAL_M4): #M# configure.in 
	cd $(srcdir) && $(ACLOCAL)

config.status: $(srcdir)/configure
	$(SHELL) ./config.status --recheck
$(srcdir)/configure: #M#$(srcdir)/configure.in $(ACLOCAL_M4) $(CONFIGURE_DEPENDENCIES)
	cd $(srcdir) && $(AUTOCONF)

config.h: stamp-h
	@:
stamp-h: $(srcdir)/config.h.in $(top_builddir)/config.status
	cd $(top_builddir) \
	  && CONFIG_FILES= CONFIG_HEADERS=config.h \
	     $(SHELL) ./config.status
	@echo timestamp > stamp-h
$(srcdir)/config.h.in: #M#$(srcdir)/stamp-h.in
$(srcdir)/stamp-h.in: $(top_srcdir)/configure.in $(ACLOCAL_M4) 
	cd $(top_srcdir) && $(AUTOHEADER)
	@echo timestamp > $(srcdir)/stamp-h.in

mostlyclean-hdr:

clean-hdr:

distclean-hdr:
	-rm -f config.h

maintainer-clean-hdr:

mostlyclean-binPROGRAMS:

clean-binPROGRAMS:
	-test -z "$(bin_PROGRAMS)" || rm -f $(bin_PROGRAMS)

distclean-binPROGRAMS:

maintainer-clean-binPROGRAMS:

install-binPROGRAMS: $(bin_PROGRAMS)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(bindir)
	@list='$(bin_PROGRAMS)'; for p in $$list; do \
	  if test -f $$p; then \
	    echo " $(LIBTOOL)  --mode=install $(INSTALL_PROGRAM) $$p $(DESTDIR)$(bindir)/`echo $$p|sed '$(transform)'`"; \
	    $(LIBTOOL)  --mode=install $(INSTALL_PROGRAM) $$p $(DESTDIR)$(bindir)/`echo $$p|sed '$(transform)'`; \
	  else :; fi; \
	done

uninstall-binPROGRAMS:
	@$(NORMAL_UNINSTALL)
	list='$(bin_PROGRAMS)'; for p in $$list; do \
	  rm -f $(DESTDIR)$(bindir)/`echo $$p|sed '$(transform)'`; \
	done

.c.o:
	$(COMPILE) -c $<

.s.o:
	$(COMPILE) -c $<

.S.o:
	$(COMPILE) -c $<

mostlyclean-compile:
	-rm -f *.o core *.core

clean-compile:

distclean-compile:
	-rm -f *.tab.c

maintainer-clean-compile:

.c.lo:
	$(LIBTOOL) --mode=compile $(COMPILE) -c $<

.s.lo:
	$(LIBTOOL) --mode=compile $(COMPILE) -c $<

.S.lo:
	$(LIBTOOL) --mode=compile $(COMPILE) -c $<

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

distclean-libtool:

maintainer-clean-libtool:

lmemory: $(lmemory_OBJECTS) $(lmemory_DEPENDENCIES)
	@rm -f lmemory
	$(LINK) $(lmemory_LDFLAGS) $(lmemory_OBJECTS) $(lmemory_LDADD) $(LIBS)

# This directory's subdirectories are mostly independent; you can cd
# into them and run `make' without going through this Makefile.
# To change the values of `make' variables: instead of editing Makefiles,
# (1) if the variable is set in `config.status', edit `config.status'
#     (which will cause the Makefiles to be regenerated when you run `make');
# (2) otherwise, pass the desired values on the `make' command line.



all-recursive install-data-recursive install-exec-recursive \
installdirs-recursive install-recursive uninstall-recursive  \
check-recursive installcheck-recursive info-recursive dvi-recursive:
	@set fnord $(MAKEFLAGS); amf=$$2; \
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  target=`echo $@ | sed s/-recursive//`; \
	  echo "Making $$target in $$subdir"; \
	  (cd $$subdir && $(MAKE) $$target) \
	   || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
	done && test -z "$$fail"

mostlyclean-recursive clean-recursive distclean-recursive \
maintainer-clean-recursive:
	@set fnord $(MAKEFLAGS); amf=$$2; \
	rev=''; list='$(SUBDIRS)'; for subdir in $$list; do \
	  rev="$$subdir $$rev"; \
	done; \
	for subdir in $$rev; do \
	  target=`echo $@ | sed s/-recursive//`; \
	  echo "Making $$target in $$subdir"; \
	  (cd $$subdir && $(MAKE) $$target) \
	   || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
	done && test -z "$$fail"
tags-recursive:
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  (cd $$subdir && $(MAKE) tags); \
	done

tags: TAGS

ID: $(HEADERS) $(SOURCES) $(LISP)
	here=`pwd` && cd $(srcdir) \
	  && mkid -f$$here/ID $(SOURCES) $(HEADERS) $(LISP)

TAGS: tags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  test -f $$subdir/TAGS && tags="$$tags -i $$here/$$subdir/TAGS"; \
	done; \
	list='$(SOURCES) $(HEADERS)'; \
	unique=`for i in $$list; do echo $$i; done | \
	  awk '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(ETAGS_ARGS)config.h.in$$unique$(LISP)$$tags" \
	  || (cd $(srcdir) && etags $(ETAGS_ARGS) $$tags config.h.in $$unique $(LISP) -o $$here/TAGS)

mostlyclean-tags:

clean-tags:

distclean-tags:
	-rm -f TAGS ID

maintainer-clean-tags:

distdir = $(PACKAGE)-$(VERSION)
top_distdir = $(distdir)

# This target untars the dist file and tries a VPATH configuration.  Then
# it guarantees that the distribution is self-contained by making another
# tarfile.
distcheck: dist
	-rm -rf $(distdir)
	GZIP=$(GZIP) $(TAR) zxf $(distdir).tar.gz
	mkdir $(distdir)/=build
	mkdir $(distdir)/=inst
	dc_install_base=`cd $(distdir)/=inst && pwd`; \
	cd $(distdir)/=build \
	  && ../configure --srcdir=.. --prefix=$$dc_install_base \
	  && $(MAKE) \
	  && $(MAKE) dvi \
	  && $(MAKE) check \
	  && $(MAKE) install \
	  && $(MAKE) installcheck \
	  && $(MAKE) dist
	-rm -rf $(distdir)
	@echo "========================"; \
	echo "$(distdir).tar.gz is ready for distribution"; \
	echo "========================"
dist: distdir
	-chmod -R a+r $(distdir)
	GZIP=$(GZIP) $(TAR) chozf $(distdir).tar.gz $(distdir)
	-rm -rf $(distdir)
dist-all: distdir
	-chmod -R a+r $(distdir)
	GZIP=$(GZIP) $(TAR) chozf $(distdir).tar.gz $(distdir)
	-rm -rf $(distdir)
distdir: $(DISTFILES)
	-rm -rf $(distdir)
	mkdir $(distdir)
	-chmod 777 $(distdir)
	@for file in $(DISTFILES); do \
	  d=$(srcdir); \
	  test -f $(distdir)/$$file \
	  || ln $$d/$$file $(distdir)/$$file 2> /dev/null \
	  || cp -p $$d/$$file $(distdir)/$$file; \
	done
	for subdir in $(SUBDIRS); do \
	  test -d $(distdir)/$$subdir \
	  || mkdir $(distdir)/$$subdir \
	  || exit 1; \
	  chmod 777 $(distdir)/$$subdir; \
	  (cd $$subdir && $(MAKE) top_distdir=../$(distdir) distdir=../$(distdir)/$$subdir distdir) \
	    || exit 1; \
	done
list.o: list.c lmemory.h
mmain.o: mmain.c lmemory.h
lmem_window.o: lmem_window.c lmemory.h
lmem_menu.o: lmem_menu.c lmem_menu.h
lmem_level.o: lmem_level.c lmemory.h lmem_menu.h
xpm_widget.o: xpm_widget.c

info: info-recursive
dvi: dvi-recursive
check: all-am
	$(MAKE) check-recursive
installcheck: installcheck-recursive
all-recursive-am: config.h
	$(MAKE) all-recursive

all-am: Makefile $(PROGRAMS) config.h

install-exec-am: install-binPROGRAMS

uninstall-am: uninstall-binPROGRAMS

install-exec: install-exec-recursive install-exec-am
	@$(NORMAL_INSTALL)

install-data: install-data-recursive
	@$(NORMAL_INSTALL)

install: install-recursive install-exec-am
	@:

uninstall: uninstall-recursive uninstall-am

install-strip:
	$(MAKE) INSTALL_PROGRAM='$(INSTALL_PROGRAM) -s' INSTALL_SCRIPT='$(INSTALL_PROGRAM)' install
installdirs: installdirs-recursive
	$(mkinstalldirs)  $(DATADIR)$(bindir)


mostlyclean-generic:
	-test -z "$(MOSTLYCLEANFILES)" || rm -f $(MOSTLYCLEANFILES)

clean-generic:
	-test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)

distclean-generic:
	-rm -f Makefile $(DISTCLEANFILES)
	-rm -f config.cache config.log stamp-h stamp-h[0-9]*
	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)

maintainer-clean-generic:
	-test -z "$(MAINTAINERCLEANFILES)" || rm -f $(MAINTAINERCLEANFILES)
	-test -z "$(BUILT_SOURCES)" || rm -f $(BUILT_SOURCES)
mostlyclean-am:  mostlyclean-hdr mostlyclean-binPROGRAMS \
		mostlyclean-compile mostlyclean-libtool \
		mostlyclean-tags mostlyclean-generic

clean-am:  clean-hdr clean-binPROGRAMS clean-compile clean-libtool \
		clean-tags clean-generic mostlyclean-am

distclean-am:  distclean-hdr distclean-binPROGRAMS distclean-compile \
		distclean-libtool distclean-tags distclean-generic \
		clean-am

maintainer-clean-am:  maintainer-clean-hdr maintainer-clean-binPROGRAMS \
		maintainer-clean-compile maintainer-clean-libtool \
		maintainer-clean-tags maintainer-clean-generic \
		distclean-am

mostlyclean:  mostlyclean-recursive mostlyclean-am

clean:  clean-recursive clean-am

distclean:  distclean-recursive distclean-am
	-rm -f config.status
	-rm -f libtool

maintainer-clean:  maintainer-clean-recursive maintainer-clean-am
	@echo "This command is intended for maintainers to use;"

## lmemory 0.6c

=== Makefile ===
--- 
+++ 
@@ -57,8 +57,8 @@
 NORMAL_UNINSTALL = :
 PRE_UNINSTALL = :
 POST_UNINSTALL = :
-host_alias = i586-pc-linux-gnu
-host_triplet = i586-pc-linux-gnu
+host_alias = i686-pc-linux-gnu
+host_triplet = i686-pc-linux-gnu
 CC = gcc
 GTK_CFLAGS = -I/usr/lib/glib/include -I/usr/X11R6/include
 GTK_CONFIG = /usr/bin/gtk-config
@@ -71,7 +71,7 @@
 NM = /usr/bin/nm -B
 PACKAGE = lmemory
 RANLIB = ranlib
-VERSION = 0.5
+VERSION = \"0.6c\"
 
 bin_PROGRAMS = 	lmemory
 
@@ -79,6 +79,8 @@
 			mmain.c	\
 			lmem_window.c \
 			lmem_menu.c \
+			help.c \
+			support.c \
 			lmem_level.c \
 			xpm_widget.c \
 			lmemory.h
@@ -103,11 +105,11 @@
 X_LIBS =  -L/usr/X11R6/lib
 X_EXTRA_LIBS = 
 X_PRE_LIBS =  -lSM -lICE
-lmemory_OBJECTS =  list.o mmain.o lmem_window.o lmem_menu.o lmem_level.o xpm_widget.o
+lmemory_OBJECTS =  list.o mmain.o lmem_window.o lmem_menu.o help.o support.o lmem_level.o xpm_widget.o
 lmemory_LDADD = $(LDADD)
 lmemory_DEPENDENCIES = 
 lmemory_LDFLAGS = 
-CFLAGS = -g -O2
+CFLAGS = -g -O2 -DVERSION=$(VERSION)
 COMPILE = $(CC) $(DEFS) $(INCLUDES) $(CPPFLAGS) $(CFLAGS)
 LTCOMPILE = $(LIBTOOL) --mode=compile $(CC) $(DEFS) $(INCLUDES) $(CPPFLAGS) $(CFLAGS)
 LINK = $(LIBTOOL) --mode=link $(CC) $(CFLAGS) $(LDFLAGS) -o $@
@@ -350,6 +352,8 @@
 mmain.o: mmain.c lmemory.h
 lmem_window.o: lmem_window.c lmemory.h
 lmem_menu.o: lmem_menu.c lmem_menu.h
+help.o: help.c lmem_menu.h help.h support.h
+support.o: support.c support.h
 lmem_level.o: lmem_level.c lmemory.h lmem_menu.h
 xpm_widget.o: xpm_widget.c
 
@@ -422,5 +426,3 @@
 	-rm -f config.status
 	-rm -f libtool
 
-maintainer-clean:  maintainer-clean-recursive maintainer-clean-am
-	@echo "This command is intended for maintainers to use;"

=== debian/changelog ===
lmemory (0.6c-6) unstable; urgency=low

  * Team upload.
  * Add --as-needed to linker flags to avoid useless linking.
  * In clean, first generate all build files, because the original source
  has a Makefile, but cannot run make maintainer-clean. (Closes: #634770)

 -- Bas Wijnen <wijnen@debian.org>  Thu, 21 Jul 2011 21:17:06 +0200

lmemory (0.6c-5) unstable; urgency=low

  [ Bas Wijnen ]
  * Team upload.
  * debian/control: remove 'a' from short description
  * Update standards version to 3.9.2 (no changes needed)
  * debian/rules: fix clean target

  [ Evgeny Dolgikh ]
  * Update Standards Version: 3.9.1 (no changes needed)
  * Fix desktop menu entry (Closes: #565510)
    - added resized default.xpm as lmemory.xpm
    - fixed .desktop file
    - fixed menu file
  * Add debian/source/format
  * debian/control
    - add ${misc:Depends}
    - debhelper dep version changed to (>= 7.0.50~)
    - fixed package long description
    - removed quilt depend
  * debian/rules
    - change deprecated dh_clean -k to dh_prep
    - removed apply/unapply patch commands
  * debian/copyright: update GPL-2 text path
  * Add myself in Uploaders
  * debian/changelog: removed trailing colons

 -- Bas Wijnen <wijnen@debian.org>  Tue, 19 Jul 2011 13:37:01 +0200

lmemory (0.6c-4) unstable; urgency=low

  [ Peter De Wachter ]
  * Added watch file.

  [ Gonéri Le Bouder ]
  * Build with gtk+-2.0, Closes: #509961
  * Fix the build system, Closes: #509962
   - call autoreconf, and then add a builddeps on autoconf, automale,
     libtool
   - add ac_local_program.diff to avoid a warning
  * Add a .desktop file
  * use dh_install to install the pixmaps
  * Add myself in Uploaders

 -- Gonéri Le Bouder <goneri@rulezlan.org>  Tue, 17 Feb 2009 00:26:15 +0100

lmemory (0.6c-3) unstable; urgency=low

  [ Miriam Ruiz ]
  * Debian Games Team is taking care of this game from now on
  * Allows for parallel build, Closes: #490333
  * Use Quilt to manage patches
  * Added autotools-dev to Build-Deps

 -- Miriam Ruiz <little_miry@yahoo.es>  Fri, 05 Sep 2008 18:10:01 +0200

lmemory (0.6c-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Applied patch provided by dann frazier <dannf@debian.org> to fix
    implicit-pointer-conversion problem (Thanks to Dann for the patch)
    Closes: #486534

 -- Andreas Tille <tille@debian.org>  Mon, 07 Jul 2008 09:04:31 +0200

lmemory (0.6c-2) unstable; urgency=low

  * Acknowledge NMU.
  * Don't distclean unless we have config.status. (Closes: #476024)

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Sun, 15 Jun 2008 10:38:01 -0300

lmemory (0.6c-1.1) unstable; urgency=low

  * Non-maintainer upload to help xlibs-dev transition
  * debian/control: Remove xlibs-dev build-dep, it's not needed. (Closes:
    #346895)

 -- Marc 'HE' Brockschmidt <he@debian.org>  Fri, 20 Jan 2006 18:33:02 +0100

lmemory (0.6c-1) unstable; urgency=low

  * New upstream.
  * Freshen config.sub, config.guess. (Closes: #240165)

 -- Ben Armstrong <synrg@fountain.nslug.ns.ca>  Fri, 26 Mar 2004 09:54:52 -0400

lmemory (0.5-7) unstable; urgency=medium

  * Fix #143893 for real this time.  The first fix worked for SKILLED
    mode only.  But DAEMON mode still was prone to seg fault.  Thanks
    to 'jannic' and others on #debian-devel for help with this one.

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Mon, 22 Apr 2002 10:34:51 -0300

lmemory (0.5-6) unstable; urgency=low

  * Fix seg fault.  (Closes: #143893)

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Mon, 22 Apr 2002 07:54:02 -0300

lmemory (0.5-5) unstable; urgency=low

  * Remove -Werror as it prevents build on alpha, and I have
    been unable to resolve this last warning for that port.
    Besides, the warning is rather unlikely to cause runtime
    errors.  (Closes: #137596)

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Sat, 16 Mar 2002 15:39:40 -0400

lmemory (0.5-4) unstable; urgency=low

  * Knock off last compiler warning.

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Mon, 31 Dec 2001 10:53:31 -0400

lmemory (0.5-3) unstable; urgency=low

  * The "eliminate warnings in non-i386 arches release".

 -- Ben Armstrong <synrg@fountain.nslug.ns.ca>  Thu, 27 Dec 2001 20:21:52 -0400

lmemory (0.5-2) unstable; urgency=low

  * Updated config.guess, config.sub from /usr/share/misc.

 -- Ben Armstrong <synrg@fountain.nslug.ns.ca>  Sun, 23 Dec 2001 12:18:51 -0400

lmemory (0.5-1) unstable; urgency=low

  * New upstream.  (Closes: #125876)

 -- Ben Armstrong <synrg@fountain.nslug.ns.ca>  Sat, 22 Dec 2001 11:39:04 -0400

lmemory (0.3-3) unstable; urgency=low

  * Clean up packaging.

 -- Ben Armstrong <synrg@fountain.nslug.ns.ca>  Tue, 18 Dec 2001 15:09:39 -0400

lmemory (0.3-2) unstable; urgency=low

  * New config.guess and config.sub.  (Closes: #97384)

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Mon, 14 May 2001 09:12:57 -0300

lmemory (0.3-1) unstable; urgency=low

  * New upstream release.  Now uses all images.

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Mon, 20 Nov 2000 14:06:07 -0400

lmemory (0.2b-2) unstable; urgency=low

  * Added missing build-depends for libgtk1.2-dev, xlibs-dev (Closes:#77518)

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Mon, 20 Nov 2000 11:19:50 -0400

lmemory (0.2b-1) unstable; urgency=low

  * Initial Release.

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Sat, 11 Nov 2000 13:14:25 -0400

=== debian/control ===
Source: lmemory
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Miriam Ruiz <little_miry@yahoo.es>, Evgeny Dolgikh <marcondream@gmail.com>
Build-Depends: debhelper (>= 8), libgtk2.0-dev, autoconf, automake, libtool
Standards-Version: 3.9.2
Homepage: http://home.comcast.net/~x.zhang1/linux_game.html
Vcs-Svn: svn://svn.debian.org/svn/pkg-games/packages/trunk/lmemory/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-games/packages/trunk/lmemory/?op=log

Package: lmemory
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Children's game based on the "memory" card game
 The Linux Memory Game is an X11 game for children ages 3 and up, based on
 the card game "Memory". It is written using GTK+ library. Although it is a
 children's game, it has five skill levels, the higher ones are challenging
 to adults as well.
 It features the ability to add your own 64x64 pixmap images.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	autoreconf --force --install --symlink
	./configure --prefix=/usr --bindir=/usr/games --datadir=/usr/share/games/lmemory

JUNK = configure config.h.in ltmain.sh mkinstalldirs config.guess config.sub aclocal.m4 depcomp install-sh Makefile.in missing INSTALL COPYING

override_dh_auto_clean:
	test ! -e Makefile || test -e config.status || (autoreconf -fis && ./configure)
	test ! -e Makefile || make maintainer-clean
	rm -rf $(JUNK)
	dh_auto_clean

=== debian/watch ===
version=3

http://home.comcast.net/~x.zhang1/linux_game.html \
  http://mywebpages.comcast.net/x.zhang1/lmemory-([0-9.]+[a-z]?).tar.gz
